#pragma once
#include "BaseForm.h"
using namespace System;
using namespace System::ComponentModel;
using namespace System::Collections;
using namespace System::Windows::Forms;
using namespace System::Data;
using namespace System::Drawing;


namespace ObjDataEdit
{
	/// <summary> 
	/// Summary for TreasureForm
	///
	/// WARNING: If you change the name of this class, you will need to change the 
	///          'Resource File Name' property for the managed resource compiler tool 
	///          associated with all .resx files this class depends on.  Otherwise,
	///          the designers will not be able to interact properly with localized
	///          resources associated with this form.
	/// </summary>
#ifndef _Just_Show_DotNet_Form_
    public __gc class TreasureForm : public System::Windows::Forms::Form
#else 
    public __gc class TreasureForm : public BaseForm 
#endif
	{
	public: 
        TreasureForm( char* FormName , char* DBName , char* OutputFile  , bool IsReadOnly , SearchFormTypeENUM FormType ) :  BaseForm( FormName , DBName , OutputFile  , IsReadOnly , FormType )
        {
            InitializeComponent();
            this->panel4_Base->Controls->Add(this->panel1);
        }
        
	protected: 
		void Dispose(Boolean disposing)
		{
			if (disposing && components)
			{
				components->Dispose();
			}
			__super::Dispose(disposing);
		}
    private: System::Windows::Forms::Panel *  panel1;
	private: System::Windows::Forms::ListView*  LV_TreasureList;
	private: System::Windows::Forms::ColumnHeader*  columnHeader1;
	private: System::Windows::Forms::ColumnHeader*  columnHeader2;
	private: System::Windows::Forms::ColumnHeader*  columnHeader3;
	private: System::Windows::Forms::ColumnHeader*  columnHeader4;
	private: System::Windows::Forms::Panel*  panel2;
	private: System::Windows::Forms::GroupBox*  groupBox1;
	private: System::Windows::Forms::NumericUpDown*  NUD_DropRate;
	private: System::Windows::Forms::Label*  label3;
	private: System::Windows::Forms::Label*  LB_EditObjName;

	private: System::Windows::Forms::TextBox*  TB_ObjID;
	private: System::Windows::Forms::Label*  label1;
	private: System::Windows::Forms::Button*  button3;
	private: System::Windows::Forms::Button*  button1;
	private: System::Windows::Forms::Button*  button2;
	private: System::Windows::Forms::ColumnHeader*  columnHeader5;
	private: System::Windows::Forms::NumericUpDown*  NUD_DropCount;

	private: System::Windows::Forms::Label*  label2;
	private: System::Windows::Forms::TextBox*  TB_TotalCost;

	private: System::Windows::Forms::Label*  label4;
	private: System::Windows::Forms::Label*  label5;
	private: System::Windows::Forms::NumericUpDown*  numericUpDown1;
	private: System::Windows::Forms::Label*  label6;
	private: System::Windows::Forms::Button*  button5;
	private: System::Windows::Forms::Button*  button4;
	private: System::Windows::Forms::Button*  button7;
	private: System::Windows::Forms::Button*  button6;
	private: System::Windows::Forms::GroupBox*  groupBox2;
	private: System::Windows::Forms::TextBox*  textBox2;
	private: System::Windows::Forms::Label*  label8;
	private: System::Windows::Forms::TextBox*  textBox1;
	private: System::Windows::Forms::Label*  label7;




	private: System::Windows::Forms::TextBox*  textBox5;
	private: System::Windows::Forms::TextBox*  textBox4;
	private: System::Windows::Forms::TextBox*  textBox3;
	private: System::Windows::Forms::GroupBox*  groupBox3;
	private: System::Windows::Forms::Button*  button9;
	private: System::Windows::Forms::Button*  button8;
	private: System::Windows::Forms::TabControl*  TCt1_SearchObj;

	private: System::Windows::Forms::TabPage*  tabPage1;
	private: System::Windows::Forms::TabPage*  tabPage2;
	private: System::Windows::Forms::TabPage*  tabPage3;
	private: System::Windows::Forms::TabPage*  tabPage4;
	private: System::Windows::Forms::TabPage*  tabPage5;
	private: System::Windows::Forms::ComboBox*  CB_WeaponType;






	private: System::Windows::Forms::Label*  label43;
	private: System::Windows::Forms::NumericUpDown*  NUD_LVTop;

	private: System::Windows::Forms::Label*  label11;
	private: System::Windows::Forms::NumericUpDown*  NUD_LvBase;

	private: System::Windows::Forms::Label*  label15;
	private: System::Windows::Forms::ComboBox*  CB_RankTop;

	private: System::Windows::Forms::Label*  label16;
	private: System::Windows::Forms::Label*  label17;
	private: System::Windows::Forms::ComboBox*  CB_RankBase;
	private: System::Windows::Forms::ComboBox*  CB_WeaponStandardType;


	private: System::Windows::Forms::Label*  label20;
	private: System::Windows::Forms::ListView*  LV_SearchResult;

	private: System::Windows::Forms::ComboBox*  CB_ArmorPosType;

	private: System::Windows::Forms::Label*  label13;
	private: System::Windows::Forms::ComboBox*  CB_ArmorStandardType;

	private: System::Windows::Forms::Label*  label10;
	private: System::Windows::Forms::ComboBox*  CB_ArmorType;

	private: System::Windows::Forms::Label*  label12;
private: System::Windows::Forms::ComboBox*  CB_RuneType;

	private: System::Windows::Forms::Label*  label14;
	private: System::Windows::Forms::Button*  button10;
private: System::Windows::Forms::ComboBox*  CB_ItemType;

	private: System::Windows::Forms::Label*  label18;
	private: System::Windows::Forms::ColumnHeader*  columnHeader6;
	private: System::Windows::Forms::ColumnHeader*  columnHeader7;
private: System::Windows::Forms::Button*  button11;
private: System::Windows::Forms::TabPage*  tabPage6;
private: System::Windows::Forms::GroupBox*  groupBox24;
private: System::Windows::Forms::Label*  DropAbilityEx6;
private: System::Windows::Forms::ComboBox*  comboBox51;
private: System::Windows::Forms::Label*  DropAbilityName6;
private: System::Windows::Forms::TextBox*  textBox65;
private: System::Windows::Forms::Label*  DropAbilityEx5;
private: System::Windows::Forms::ComboBox*  comboBox46;
private: System::Windows::Forms::Label*  DropAbilityName5;
private: System::Windows::Forms::TextBox*  textBox60;
private: System::Windows::Forms::Label*  DropAbilityEx4;
private: System::Windows::Forms::ComboBox*  comboBox47;
private: System::Windows::Forms::Label*  DropAbilityName4;
private: System::Windows::Forms::TextBox*  textBox61;
private: System::Windows::Forms::Label*  DropAbilityEx3;
private: System::Windows::Forms::ComboBox*  comboBox48;
private: System::Windows::Forms::Label*  DropAbilityName3;
private: System::Windows::Forms::TextBox*  textBox62;
private: System::Windows::Forms::Label*  DropAbilityEx2;
private: System::Windows::Forms::ComboBox*  comboBox49;
private: System::Windows::Forms::Label*  DropAbilityName2;
private: System::Windows::Forms::TextBox*  textBox63;
private: System::Windows::Forms::Label*  DropAbilityEx1;
private: System::Windows::Forms::ComboBox*  comboBox50;
private: System::Windows::Forms::Label*  label103;
private: System::Windows::Forms::Label*  DropAbilityName1;
private: System::Windows::Forms::Label*  label105;
private: System::Windows::Forms::Label*  label106;
private: System::Windows::Forms::TextBox*  textBox64;
private: System::Windows::Forms::ColumnHeader*  columnHeader8;
private: System::Windows::Forms::Button*  button12;
private: System::Windows::Forms::TabPage*  tabPage7;
private: System::Windows::Forms::ComboBox*  CB_RecipeRequestSkill;



private: System::Windows::Forms::Label*  label9;
private: System::Windows::Forms::GroupBox*  groupBox17;
private: System::Windows::Forms::CheckedListBox*  CLB_RecipeModeFlag;
private: System::Windows::Forms::TextBox*  textBox6;
private: System::Windows::Forms::Label*  label19;
















	private:
		/// <summary>
		/// Required designer variable.
		/// </summary>
		System::ComponentModel::Container* components;

		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		void InitializeComponent(void)
		{
			this->panel1 = (new System::Windows::Forms::Panel());
			this->button12 = (new System::Windows::Forms::Button());
			this->button11 = (new System::Windows::Forms::Button());
			this->button10 = (new System::Windows::Forms::Button());
			this->groupBox3 = (new System::Windows::Forms::GroupBox());
			this->NUD_LVTop = (new System::Windows::Forms::NumericUpDown());
			this->label11 = (new System::Windows::Forms::Label());
			this->NUD_LvBase = (new System::Windows::Forms::NumericUpDown());
			this->label15 = (new System::Windows::Forms::Label());
			this->CB_RankTop = (new System::Windows::Forms::ComboBox());
			this->label16 = (new System::Windows::Forms::Label());
			this->label17 = (new System::Windows::Forms::Label());
			this->CB_RankBase = (new System::Windows::Forms::ComboBox());
			this->button9 = (new System::Windows::Forms::Button());
			this->TCt1_SearchObj = (new System::Windows::Forms::TabControl());
			this->tabPage1 = (new System::Windows::Forms::TabPage());
			this->CB_WeaponStandardType = (new System::Windows::Forms::ComboBox());
			this->label20 = (new System::Windows::Forms::Label());
			this->CB_WeaponType = (new System::Windows::Forms::ComboBox());
			this->label43 = (new System::Windows::Forms::Label());
			this->tabPage2 = (new System::Windows::Forms::TabPage());
			this->CB_ArmorPosType = (new System::Windows::Forms::ComboBox());
			this->label13 = (new System::Windows::Forms::Label());
			this->CB_ArmorStandardType = (new System::Windows::Forms::ComboBox());
			this->label10 = (new System::Windows::Forms::Label());
			this->CB_ArmorType = (new System::Windows::Forms::ComboBox());
			this->label12 = (new System::Windows::Forms::Label());
			this->tabPage3 = (new System::Windows::Forms::TabPage());
			this->tabPage4 = (new System::Windows::Forms::TabPage());
			this->CB_RuneType = (new System::Windows::Forms::ComboBox());
			this->label14 = (new System::Windows::Forms::Label());
			this->tabPage5 = (new System::Windows::Forms::TabPage());
			this->CB_ItemType = (new System::Windows::Forms::ComboBox());
			this->label18 = (new System::Windows::Forms::Label());
			this->tabPage6 = (new System::Windows::Forms::TabPage());
			this->tabPage7 = (new System::Windows::Forms::TabPage());
			this->groupBox17 = (new System::Windows::Forms::GroupBox());
			this->CLB_RecipeModeFlag = (new System::Windows::Forms::CheckedListBox());
			this->CB_RecipeRequestSkill = (new System::Windows::Forms::ComboBox());
			this->label9 = (new System::Windows::Forms::Label());
			this->LV_SearchResult = (new System::Windows::Forms::ListView());
			this->columnHeader6 = (new System::Windows::Forms::ColumnHeader());
			this->columnHeader7 = (new System::Windows::Forms::ColumnHeader());
			this->groupBox2 = (new System::Windows::Forms::GroupBox());
			this->groupBox24 = (new System::Windows::Forms::GroupBox());
			this->DropAbilityEx6 = (new System::Windows::Forms::Label());
			this->comboBox51 = (new System::Windows::Forms::ComboBox());
			this->DropAbilityName6 = (new System::Windows::Forms::Label());
			this->textBox65 = (new System::Windows::Forms::TextBox());
			this->DropAbilityEx5 = (new System::Windows::Forms::Label());
			this->comboBox46 = (new System::Windows::Forms::ComboBox());
			this->DropAbilityName5 = (new System::Windows::Forms::Label());
			this->textBox60 = (new System::Windows::Forms::TextBox());
			this->DropAbilityEx4 = (new System::Windows::Forms::Label());
			this->comboBox47 = (new System::Windows::Forms::ComboBox());
			this->DropAbilityName4 = (new System::Windows::Forms::Label());
			this->textBox61 = (new System::Windows::Forms::TextBox());
			this->DropAbilityEx3 = (new System::Windows::Forms::Label());
			this->comboBox48 = (new System::Windows::Forms::ComboBox());
			this->DropAbilityName3 = (new System::Windows::Forms::Label());
			this->textBox62 = (new System::Windows::Forms::TextBox());
			this->DropAbilityEx2 = (new System::Windows::Forms::Label());
			this->comboBox49 = (new System::Windows::Forms::ComboBox());
			this->DropAbilityName2 = (new System::Windows::Forms::Label());
			this->textBox63 = (new System::Windows::Forms::TextBox());
			this->DropAbilityEx1 = (new System::Windows::Forms::Label());
			this->comboBox50 = (new System::Windows::Forms::ComboBox());
			this->label103 = (new System::Windows::Forms::Label());
			this->DropAbilityName1 = (new System::Windows::Forms::Label());
			this->label105 = (new System::Windows::Forms::Label());
			this->label106 = (new System::Windows::Forms::Label());
			this->textBox64 = (new System::Windows::Forms::TextBox());
			this->textBox5 = (new System::Windows::Forms::TextBox());
			this->textBox4 = (new System::Windows::Forms::TextBox());
			this->textBox3 = (new System::Windows::Forms::TextBox());
			this->textBox2 = (new System::Windows::Forms::TextBox());
			this->label8 = (new System::Windows::Forms::Label());
			this->textBox1 = (new System::Windows::Forms::TextBox());
			this->label7 = (new System::Windows::Forms::Label());
			this->button7 = (new System::Windows::Forms::Button());
			this->button6 = (new System::Windows::Forms::Button());
			this->label6 = (new System::Windows::Forms::Label());
			this->button5 = (new System::Windows::Forms::Button());
			this->button4 = (new System::Windows::Forms::Button());
			this->LV_TreasureList = (new System::Windows::Forms::ListView());
			this->columnHeader1 = (new System::Windows::Forms::ColumnHeader());
			this->columnHeader2 = (new System::Windows::Forms::ColumnHeader());
			this->columnHeader3 = (new System::Windows::Forms::ColumnHeader());
			this->columnHeader4 = (new System::Windows::Forms::ColumnHeader());
			this->columnHeader5 = (new System::Windows::Forms::ColumnHeader());
			this->columnHeader8 = (new System::Windows::Forms::ColumnHeader());
			this->panel2 = (new System::Windows::Forms::Panel());
			this->label5 = (new System::Windows::Forms::Label());
			this->numericUpDown1 = (new System::Windows::Forms::NumericUpDown());
			this->TB_TotalCost = (new System::Windows::Forms::TextBox());
			this->label4 = (new System::Windows::Forms::Label());
			this->groupBox1 = (new System::Windows::Forms::GroupBox());
			this->NUD_DropCount = (new System::Windows::Forms::NumericUpDown());
			this->label2 = (new System::Windows::Forms::Label());
			this->NUD_DropRate = (new System::Windows::Forms::NumericUpDown());
			this->label3 = (new System::Windows::Forms::Label());
			this->LB_EditObjName = (new System::Windows::Forms::Label());
			this->TB_ObjID = (new System::Windows::Forms::TextBox());
			this->label1 = (new System::Windows::Forms::Label());
			this->button3 = (new System::Windows::Forms::Button());
			this->button1 = (new System::Windows::Forms::Button());
			this->button2 = (new System::Windows::Forms::Button());
			this->button8 = (new System::Windows::Forms::Button());
			this->textBox6 = (new System::Windows::Forms::TextBox());
			this->label19 = (new System::Windows::Forms::Label());
			this->panel1->SuspendLayout();
			this->groupBox3->SuspendLayout();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->NUD_LVTop))->BeginInit();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->NUD_LvBase))->BeginInit();
			this->TCt1_SearchObj->SuspendLayout();
			this->tabPage1->SuspendLayout();
			this->tabPage2->SuspendLayout();
			this->tabPage4->SuspendLayout();
			this->tabPage5->SuspendLayout();
			this->tabPage7->SuspendLayout();
			this->groupBox17->SuspendLayout();
			this->groupBox2->SuspendLayout();
			this->groupBox24->SuspendLayout();
			this->panel2->SuspendLayout();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown1))->BeginInit();
			this->groupBox1->SuspendLayout();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->NUD_DropCount))->BeginInit();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->NUD_DropRate))->BeginInit();
			this->SuspendLayout();
			// 
			// panel1
			// 
			this->panel1->AutoScroll = true;
			this->panel1->Controls->Add(this->button12);
			this->panel1->Controls->Add(this->button11);
			this->panel1->Controls->Add(this->button10);
			this->panel1->Controls->Add(this->groupBox3);
			this->panel1->Controls->Add(this->LV_SearchResult);
			this->panel1->Controls->Add(this->groupBox2);
			this->panel1->Controls->Add(this->button7);
			this->panel1->Controls->Add(this->button6);
			this->panel1->Controls->Add(this->label6);
			this->panel1->Controls->Add(this->button5);
			this->panel1->Controls->Add(this->button4);
			this->panel1->Controls->Add(this->LV_TreasureList);
			this->panel1->Controls->Add(this->panel2);
			this->panel1->Dock = System::Windows::Forms::DockStyle::Fill;
			this->panel1->Location = System::Drawing::Point(0, 0);
			this->panel1->Name = S"panel1";
			this->panel1->Size = System::Drawing::Size(865, 782);
			this->panel1->TabIndex = 0;
			// 
			// button12
			// 
			this->button12->Location = System::Drawing::Point(624, 100);
			this->button12->Name = S"button12";
			this->button12->Size = System::Drawing::Size(80, 23);
			this->button12->TabIndex = 168;
			this->button12->Text = S"選擇加入";
			this->button12->UseVisualStyleBackColor = true;
			this->button12->Click += new System::EventHandler(this, &TreasureForm::AddSelect_Click);
			// 
			// button11
			// 
			this->button11->Location = System::Drawing::Point(477, 98);
			this->button11->Name = S"button11";
			this->button11->Size = System::Drawing::Size(61, 23);
			this->button11->TabIndex = 167;
			this->button11->Text = S"平均";
			this->button11->UseVisualStyleBackColor = true;
			this->button11->Click += new System::EventHandler(this, &TreasureForm::AverageClick);
			// 
			// button10
			// 
			this->button10->Location = System::Drawing::Point(761, 98);
			this->button10->Name = S"button10";
			this->button10->Size = System::Drawing::Size(80, 23);
			this->button10->TabIndex = 166;
			this->button10->Text = S"全部加入";
			this->button10->UseVisualStyleBackColor = true;
			this->button10->Click += new System::EventHandler(this, &TreasureForm::AddSelectAll_Click);
			// 
			// groupBox3
			// 
			this->groupBox3->Controls->Add(this->NUD_LVTop);
			this->groupBox3->Controls->Add(this->label11);
			this->groupBox3->Controls->Add(this->NUD_LvBase);
			this->groupBox3->Controls->Add(this->label15);
			this->groupBox3->Controls->Add(this->CB_RankTop);
			this->groupBox3->Controls->Add(this->label16);
			this->groupBox3->Controls->Add(this->label17);
			this->groupBox3->Controls->Add(this->CB_RankBase);
			this->groupBox3->Controls->Add(this->button9);
			this->groupBox3->Controls->Add(this->TCt1_SearchObj);
			this->groupBox3->Location = System::Drawing::Point(360, 127);
			this->groupBox3->Name = S"groupBox3";
			this->groupBox3->Size = System::Drawing::Size(258, 262);
			this->groupBox3->TabIndex = 22;
			this->groupBox3->TabStop = false;
			this->groupBox3->Text = S"搜尋加入";
			// 
			// NUD_LVTop
			// 
			this->NUD_LVTop->Location = System::Drawing::Point(145, 44);
			System::Int32 __mcTemp__1[] = new System::Int32[4];
			__mcTemp__1[0] = 200;
			__mcTemp__1[1] = 0;
			__mcTemp__1[2] = 0;
			__mcTemp__1[3] = 0;
			this->NUD_LVTop->Maximum = System::Decimal(__mcTemp__1);
			System::Int32 __mcTemp__2[] = new System::Int32[4];
			__mcTemp__2[0] = 1;
			__mcTemp__2[1] = 0;
			__mcTemp__2[2] = 0;
			__mcTemp__2[3] = 0;
			this->NUD_LVTop->Minimum = System::Decimal(__mcTemp__2);
			this->NUD_LVTop->Name = S"NUD_LVTop";
			this->NUD_LVTop->Size = System::Drawing::Size(56, 22);
			this->NUD_LVTop->TabIndex = 164;
			this->NUD_LVTop->Tag = S"LimitLv";
			System::Int32 __mcTemp__3[] = new System::Int32[4];
			__mcTemp__3[0] = 100;
			__mcTemp__3[1] = 0;
			__mcTemp__3[2] = 0;
			__mcTemp__3[3] = 0;
			this->NUD_LVTop->Value = System::Decimal(__mcTemp__3);
			// 
			// label11
			// 
			this->label11->AutoSize = true;
			this->label11->Location = System::Drawing::Point(130, 46);
			this->label11->Name = S"label11";
			this->label11->Size = System::Drawing::Size(9, 12);
			this->label11->TabIndex = 163;
			this->label11->Text = S"-";
			// 
			// NUD_LvBase
			// 
			this->NUD_LvBase->Location = System::Drawing::Point(67, 44);
			System::Int32 __mcTemp__4[] = new System::Int32[4];
			__mcTemp__4[0] = 200;
			__mcTemp__4[1] = 0;
			__mcTemp__4[2] = 0;
			__mcTemp__4[3] = 0;
			this->NUD_LvBase->Maximum = System::Decimal(__mcTemp__4);
			this->NUD_LvBase->Name = S"NUD_LvBase";
			this->NUD_LvBase->Size = System::Drawing::Size(56, 22);
			this->NUD_LvBase->TabIndex = 162;
			this->NUD_LvBase->Tag = S"LimitLv";
			// 
			// label15
			// 
			this->label15->AutoSize = true;
			this->label15->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Regular, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label15->ForeColor = System::Drawing::SystemColors::ControlText;
			this->label15->Location = System::Drawing::Point(21, 46);
			this->label15->Name = S"label15";
			this->label15->Size = System::Drawing::Size(29, 12);
			this->label15->TabIndex = 161;
			this->label15->Text = S"等級";
			// 
			// CB_RankTop
			// 
			this->CB_RankTop->FormattingEnabled = true;
			System::Object* __mcTemp__5[] = new System::Object*[10];
			__mcTemp__5[0] = S"普通";
			__mcTemp__5[1] = S"一級稀有";
			__mcTemp__5[2] = S"二級稀有";
			__mcTemp__5[3] = S"三級稀有";
			__mcTemp__5[4] = S"四級稀有";
			__mcTemp__5[5] = S"五級稀有";
			__mcTemp__5[6] = S"六級稀有";
			__mcTemp__5[7] = S"七級稀有";
			__mcTemp__5[8] = S"八級稀有";
			__mcTemp__5[9] = S"九級稀有";
			this->CB_RankTop->Items->AddRange(__mcTemp__5);
			this->CB_RankTop->Location = System::Drawing::Point(160, 21);
			this->CB_RankTop->Name = S"CB_RankTop";
			this->CB_RankTop->Size = System::Drawing::Size(72, 20);
			this->CB_RankTop->TabIndex = 160;
			// 
			// label16
			// 
			this->label16->AutoSize = true;
			this->label16->Location = System::Drawing::Point(146, 24);
			this->label16->Name = S"label16";
			this->label16->Size = System::Drawing::Size(9, 12);
			this->label16->TabIndex = 159;
			this->label16->Text = S"-";
			// 
			// label17
			// 
			this->label17->AutoSize = true;
			this->label17->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Regular, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label17->ForeColor = System::Drawing::SystemColors::ControlText;
			this->label17->Location = System::Drawing::Point(14, 24);
			this->label17->Name = S"label17";
			this->label17->Size = System::Drawing::Size(41, 12);
			this->label17->TabIndex = 158;
			this->label17->Text = S"稀有度";
			// 
			// CB_RankBase
			// 
			this->CB_RankBase->FormattingEnabled = true;
			System::Object* __mcTemp__6[] = new System::Object*[10];
			__mcTemp__6[0] = S"普通";
			__mcTemp__6[1] = S"一級稀有";
			__mcTemp__6[2] = S"二級稀有";
			__mcTemp__6[3] = S"三級稀有";
			__mcTemp__6[4] = S"四級稀有";
			__mcTemp__6[5] = S"五級稀有";
			__mcTemp__6[6] = S"六級稀有";
			__mcTemp__6[7] = S"七級稀有";
			__mcTemp__6[8] = S"八級稀有";
			__mcTemp__6[9] = S"九級稀有";
			this->CB_RankBase->Items->AddRange(__mcTemp__6);
			this->CB_RankBase->Location = System::Drawing::Point(67, 21);
			this->CB_RankBase->Name = S"CB_RankBase";
			this->CB_RankBase->Size = System::Drawing::Size(72, 20);
			this->CB_RankBase->TabIndex = 157;
			// 
			// button9
			// 
			this->button9->Location = System::Drawing::Point(173, 234);
			this->button9->Name = S"button9";
			this->button9->Size = System::Drawing::Size(80, 23);
			this->button9->TabIndex = 23;
			this->button9->Text = S"收尋";
			this->button9->UseVisualStyleBackColor = true;
			this->button9->Click += new System::EventHandler(this, &TreasureForm::SearchObj_Click);
			// 
			// TCt1_SearchObj
			// 
			this->TCt1_SearchObj->Controls->Add(this->tabPage1);
			this->TCt1_SearchObj->Controls->Add(this->tabPage2);
			this->TCt1_SearchObj->Controls->Add(this->tabPage3);
			this->TCt1_SearchObj->Controls->Add(this->tabPage4);
			this->TCt1_SearchObj->Controls->Add(this->tabPage5);
			this->TCt1_SearchObj->Controls->Add(this->tabPage6);
			this->TCt1_SearchObj->Controls->Add(this->tabPage7);
			this->TCt1_SearchObj->Location = System::Drawing::Point(6, 72);
			this->TCt1_SearchObj->Name = S"TCt1_SearchObj";
			this->TCt1_SearchObj->SelectedIndex = 0;
			this->TCt1_SearchObj->Size = System::Drawing::Size(246, 160);
			this->TCt1_SearchObj->TabIndex = 21;
			// 
			// tabPage1
			// 
			this->tabPage1->Controls->Add(this->CB_WeaponStandardType);
			this->tabPage1->Controls->Add(this->label20);
			this->tabPage1->Controls->Add(this->CB_WeaponType);
			this->tabPage1->Controls->Add(this->label43);
			this->tabPage1->Location = System::Drawing::Point(4, 22);
			this->tabPage1->Name = S"tabPage1";
			this->tabPage1->Padding = System::Windows::Forms::Padding(3);
			this->tabPage1->Size = System::Drawing::Size(238, 134);
			this->tabPage1->TabIndex = 0;
			this->tabPage1->Text = S"武器";
			this->tabPage1->UseVisualStyleBackColor = true;
			// 
			// CB_WeaponStandardType
			// 
			this->CB_WeaponStandardType->DropDownStyle = System::Windows::Forms::ComboBoxStyle::DropDownList;
			this->CB_WeaponStandardType->ItemHeight = 12;
			System::Object* __mcTemp__7[] = new System::Object*[3];
			__mcTemp__7[0] = S"---";
			__mcTemp__7[1] = S"否";
			__mcTemp__7[2] = S"是";
			this->CB_WeaponStandardType->Items->AddRange(__mcTemp__7);
			this->CB_WeaponStandardType->Location = System::Drawing::Point(58, 29);
			this->CB_WeaponStandardType->Name = S"CB_WeaponStandardType";
			this->CB_WeaponStandardType->Size = System::Drawing::Size(48, 20);
			this->CB_WeaponStandardType->TabIndex = 162;
			this->CB_WeaponStandardType->Tag = S"";
			// 
			// label20
			// 
			this->label20->AutoSize = true;
			this->label20->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Regular, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label20->ForeColor = System::Drawing::SystemColors::ControlText;
			this->label20->Location = System::Drawing::Point(4, 32);
			this->label20->Name = S"label20";
			this->label20->Size = System::Drawing::Size(41, 12);
			this->label20->TabIndex = 161;
			this->label20->Text = S"標準型";
			// 
			// CB_WeaponType
			// 
			this->CB_WeaponType->DropDownStyle = System::Windows::Forms::ComboBoxStyle::DropDownList;
			this->CB_WeaponType->ItemHeight = 12;
			System::Object* __mcTemp__8[] = new System::Object*[22];
			__mcTemp__8[0] = S"---";
			__mcTemp__8[1] = S"Unarmed空手";
			__mcTemp__8[2] = S"劍";
			__mcTemp__8[3] = S"匕首";
			__mcTemp__8[4] = S"權杖";
			__mcTemp__8[5] = S"斧";
			__mcTemp__8[6] = S"鎚棍棒";
			__mcTemp__8[7] = S"雙手劍";
			__mcTemp__8[8] = S"杖";
			__mcTemp__8[9] = S"雙手斧";
			__mcTemp__8[10] = S"雙手鎚";
			__mcTemp__8[11] = S"槍(長矛)";
			__mcTemp__8[12] = S"遠程武器 弓";
			__mcTemp__8[13] = S"遠程武器 十字弓";
			__mcTemp__8[14] = S"遠程武器 槍";
			__mcTemp__8[15] = S"子彈 弓";
			__mcTemp__8[16] = S"子彈 槍";
			__mcTemp__8[17] = S"投擲類武器";
			__mcTemp__8[18] = S"採集工具 筏木";
			__mcTemp__8[19] = S"採集工具 採藥";
			__mcTemp__8[20] = S"採集工具 採礦";
			__mcTemp__8[21] = S"採集工具 釣魚";
			this->CB_WeaponType->Items->AddRange(__mcTemp__8);
			this->CB_WeaponType->Location = System::Drawing::Point(57, 6);
			this->CB_WeaponType->Name = S"CB_WeaponType";
			this->CB_WeaponType->Size = System::Drawing::Size(129, 20);
			this->CB_WeaponType->TabIndex = 150;
			this->CB_WeaponType->Tag = S"";
			// 
			// label43
			// 
			this->label43->AutoSize = true;
			this->label43->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Regular, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label43->ForeColor = System::Drawing::SystemColors::ControlText;
			this->label43->Location = System::Drawing::Point(11, 9);
			this->label43->Name = S"label43";
			this->label43->Size = System::Drawing::Size(29, 12);
			this->label43->TabIndex = 148;
			this->label43->Text = S"類型";
			// 
			// tabPage2
			// 
			this->tabPage2->Controls->Add(this->CB_ArmorPosType);
			this->tabPage2->Controls->Add(this->label13);
			this->tabPage2->Controls->Add(this->CB_ArmorStandardType);
			this->tabPage2->Controls->Add(this->label10);
			this->tabPage2->Controls->Add(this->CB_ArmorType);
			this->tabPage2->Controls->Add(this->label12);
			this->tabPage2->Location = System::Drawing::Point(4, 22);
			this->tabPage2->Name = S"tabPage2";
			this->tabPage2->Padding = System::Windows::Forms::Padding(3);
			this->tabPage2->Size = System::Drawing::Size(238, 134);
			this->tabPage2->TabIndex = 1;
			this->tabPage2->Text = S"防具";
			this->tabPage2->UseVisualStyleBackColor = true;
			// 
			// CB_ArmorPosType
			// 
			this->CB_ArmorPosType->DropDownStyle = System::Windows::Forms::ComboBoxStyle::DropDownList;
			this->CB_ArmorPosType->ItemHeight = 12;
			System::Object* __mcTemp__9[] = new System::Object*[15];
			__mcTemp__9[0] = S"---";
			__mcTemp__9[1] = S"頭";
			__mcTemp__9[2] = S"手套";
			__mcTemp__9[3] = S"鞋子";
			__mcTemp__9[4] = S"上衣";
			__mcTemp__9[5] = S"褲子";
			__mcTemp__9[6] = S"背部";
			__mcTemp__9[7] = S"腰帶";
			__mcTemp__9[8] = S"肩甲";
			__mcTemp__9[9] = S"項鍊";
			__mcTemp__9[10] = S"戒子";
			__mcTemp__9[11] = S"耳飾";
			__mcTemp__9[12] = S"副手";
			__mcTemp__9[13] = S"法寶";
			__mcTemp__9[14] = S"裝飾品";
			this->CB_ArmorPosType->Items->AddRange(__mcTemp__9);
			this->CB_ArmorPosType->Location = System::Drawing::Point(62, 32);
			this->CB_ArmorPosType->Name = S"CB_ArmorPosType";
			this->CB_ArmorPosType->Size = System::Drawing::Size(129, 20);
			this->CB_ArmorPosType->TabIndex = 168;
			this->CB_ArmorPosType->Tag = S"";
			// 
			// label13
			// 
			this->label13->AutoSize = true;
			this->label13->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Regular, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label13->ForeColor = System::Drawing::SystemColors::ControlText;
			this->label13->Location = System::Drawing::Point(3, 35);
			this->label13->Name = S"label13";
			this->label13->Size = System::Drawing::Size(53, 12);
			this->label13->TabIndex = 167;
			this->label13->Text = S"裝備部位";
			// 
			// CB_ArmorStandardType
			// 
			this->CB_ArmorStandardType->DropDownStyle = System::Windows::Forms::ComboBoxStyle::DropDownList;
			this->CB_ArmorStandardType->ItemHeight = 12;
			System::Object* __mcTemp__10[] = new System::Object*[3];
			__mcTemp__10[0] = S"---";
			__mcTemp__10[1] = S"否";
			__mcTemp__10[2] = S"是";
			this->CB_ArmorStandardType->Items->AddRange(__mcTemp__10);
			this->CB_ArmorStandardType->Location = System::Drawing::Point(62, 58);
			this->CB_ArmorStandardType->Name = S"CB_ArmorStandardType";
			this->CB_ArmorStandardType->Size = System::Drawing::Size(48, 20);
			this->CB_ArmorStandardType->TabIndex = 166;
			this->CB_ArmorStandardType->Tag = S"";
			// 
			// label10
			// 
			this->label10->AutoSize = true;
			this->label10->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Regular, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label10->ForeColor = System::Drawing::SystemColors::ControlText;
			this->label10->Location = System::Drawing::Point(8, 61);
			this->label10->Name = S"label10";
			this->label10->Size = System::Drawing::Size(41, 12);
			this->label10->TabIndex = 165;
			this->label10->Text = S"標準型";
			// 
			// CB_ArmorType
			// 
			this->CB_ArmorType->DropDownStyle = System::Windows::Forms::ComboBoxStyle::DropDownList;
			this->CB_ArmorType->ItemHeight = 12;
			System::Object* __mcTemp__11[] = new System::Object*[8];
			__mcTemp__11[0] = S"---";
			__mcTemp__11[1] = S"鎧甲";
			__mcTemp__11[2] = S"鎖甲";
			__mcTemp__11[3] = S"皮甲";
			__mcTemp__11[4] = S"衣服";
			__mcTemp__11[5] = S"法袍";
			__mcTemp__11[6] = S"盾";
			__mcTemp__11[7] = S"手持物(法器)";
			this->CB_ArmorType->Items->AddRange(__mcTemp__11);
			this->CB_ArmorType->Location = System::Drawing::Point(62, 6);
			this->CB_ArmorType->Name = S"CB_ArmorType";
			this->CB_ArmorType->Size = System::Drawing::Size(129, 20);
			this->CB_ArmorType->TabIndex = 164;
			this->CB_ArmorType->Tag = S"";
			// 
			// label12
			// 
			this->label12->AutoSize = true;
			this->label12->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Regular, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label12->ForeColor = System::Drawing::SystemColors::ControlText;
			this->label12->Location = System::Drawing::Point(16, 9);
			this->label12->Name = S"label12";
			this->label12->Size = System::Drawing::Size(29, 12);
			this->label12->TabIndex = 163;
			this->label12->Text = S"類型";
			// 
			// tabPage3
			// 
			this->tabPage3->Location = System::Drawing::Point(4, 22);
			this->tabPage3->Name = S"tabPage3";
			this->tabPage3->Size = System::Drawing::Size(238, 134);
			this->tabPage3->TabIndex = 2;
			this->tabPage3->Text = S"卡片";
			this->tabPage3->UseVisualStyleBackColor = true;
			// 
			// tabPage4
			// 
			this->tabPage4->Controls->Add(this->CB_RuneType);
			this->tabPage4->Controls->Add(this->label14);
			this->tabPage4->Location = System::Drawing::Point(4, 22);
			this->tabPage4->Name = S"tabPage4";
			this->tabPage4->Size = System::Drawing::Size(238, 134);
			this->tabPage4->TabIndex = 3;
			this->tabPage4->Text = S"符文";
			this->tabPage4->UseVisualStyleBackColor = true;
			// 
			// CB_RuneType
			// 
			this->CB_RuneType->DropDownStyle = System::Windows::Forms::ComboBoxStyle::DropDownList;
			this->CB_RuneType->ItemHeight = 12;
			System::Object* __mcTemp__12[] = new System::Object*[8];
			__mcTemp__12[0] = S"----";
			__mcTemp__12[1] = S"生產符文";
			__mcTemp__12[2] = S"武器符文";
			__mcTemp__12[3] = S"防具符文";
			__mcTemp__12[4] = S"頭部符文";
			__mcTemp__12[5] = S"上身符文";
			__mcTemp__12[6] = S"下身符文";
			__mcTemp__12[7] = S"特殊符文";
			this->CB_RuneType->Items->AddRange(__mcTemp__12);
			this->CB_RuneType->Location = System::Drawing::Point(44, 7);
			this->CB_RuneType->Name = S"CB_RuneType";
			this->CB_RuneType->Size = System::Drawing::Size(129, 20);
			this->CB_RuneType->TabIndex = 152;
			this->CB_RuneType->Tag = S"";
			// 
			// label14
			// 
			this->label14->AutoSize = true;
			this->label14->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Regular, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label14->ForeColor = System::Drawing::SystemColors::ControlText;
			this->label14->Location = System::Drawing::Point(7, 10);
			this->label14->Name = S"label14";
			this->label14->Size = System::Drawing::Size(29, 12);
			this->label14->TabIndex = 151;
			this->label14->Text = S"類型";
			// 
			// tabPage5
			// 
			this->tabPage5->Controls->Add(this->CB_ItemType);
			this->tabPage5->Controls->Add(this->label18);
			this->tabPage5->Location = System::Drawing::Point(4, 22);
			this->tabPage5->Name = S"tabPage5";
			this->tabPage5->Size = System::Drawing::Size(238, 134);
			this->tabPage5->TabIndex = 4;
			this->tabPage5->Text = S"道具";
			this->tabPage5->UseVisualStyleBackColor = true;
			// 
			// CB_ItemType
			// 
			this->CB_ItemType->DropDownStyle = System::Windows::Forms::ComboBoxStyle::DropDownList;
			this->CB_ItemType->ItemHeight = 12;
			System::Object* __mcTemp__13[] = new System::Object*[29];
			__mcTemp__13[0] = S"----";
			__mcTemp__13[1] = S"一般";
			__mcTemp__13[2] = S"劇情";
			__mcTemp__13[3] = S"食物";
			__mcTemp__13[4] = S"甜食";
			__mcTemp__13[5] = S"藥水";
			__mcTemp__13[6] = S"礦石";
			__mcTemp__13[7] = S"木材";
			__mcTemp__13[8] = S"藥草";
			__mcTemp__13[9] = S"原料";
			__mcTemp__13[10] = S"種子";
			__mcTemp__13[11] = S"花盆";
			__mcTemp__13[12] = S"作物";
			__mcTemp__13[13] = S"魚";
			__mcTemp__13[14] = S"工具";
			__mcTemp__13[15] = S"加工品";
			__mcTemp__13[16] = S"配方 - 打鐵";
			__mcTemp__13[17] = S"配方 - 木工";
			__mcTemp__13[18] = S"配方 - 製甲";
			__mcTemp__13[19] = S"配方 - 裁縫";
			__mcTemp__13[20] = S"配方 - 煉金";
			__mcTemp__13[21] = S"配方 - 烹飪";
			__mcTemp__13[22] = S"衝等寶石";
			__mcTemp__13[23] = S"效果光球";
			__mcTemp__13[24] = S"金錢";
			__mcTemp__13[25] = S"符文";
			__mcTemp__13[26] = S"位置記錄";
			__mcTemp__13[27] = S"公會貢獻品";
			__mcTemp__13[28] = S"樂透彩卷";
			this->CB_ItemType->Items->AddRange(__mcTemp__13);
			this->CB_ItemType->Location = System::Drawing::Point(44, 6);
			this->CB_ItemType->Name = S"CB_ItemType";
			this->CB_ItemType->Size = System::Drawing::Size(129, 20);
			this->CB_ItemType->TabIndex = 154;
			this->CB_ItemType->Tag = S"";
			// 
			// label18
			// 
			this->label18->AutoSize = true;
			this->label18->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Regular, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label18->ForeColor = System::Drawing::SystemColors::ControlText;
			this->label18->Location = System::Drawing::Point(7, 9);
			this->label18->Name = S"label18";
			this->label18->Size = System::Drawing::Size(29, 12);
			this->label18->TabIndex = 153;
			this->label18->Text = S"類型";
			// 
			// tabPage6
			// 
			this->tabPage6->Location = System::Drawing::Point(4, 22);
			this->tabPage6->Name = S"tabPage6";
			this->tabPage6->Size = System::Drawing::Size(238, 134);
			this->tabPage6->TabIndex = 5;
			this->tabPage6->Text = S"附加能力";
			this->tabPage6->UseVisualStyleBackColor = true;
			// 
			// tabPage7
			// 
			this->tabPage7->Controls->Add(this->groupBox17);
			this->tabPage7->Controls->Add(this->CB_RecipeRequestSkill);
			this->tabPage7->Controls->Add(this->label9);
			this->tabPage7->Location = System::Drawing::Point(4, 22);
			this->tabPage7->Name = S"tabPage7";
			this->tabPage7->Size = System::Drawing::Size(238, 134);
			this->tabPage7->TabIndex = 6;
			this->tabPage7->Text = S"配方表";
			this->tabPage7->UseVisualStyleBackColor = true;
			// 
			// groupBox17
			// 
			this->groupBox17->Controls->Add(this->CLB_RecipeModeFlag);
			this->groupBox17->Location = System::Drawing::Point(8, 44);
			this->groupBox17->Name = S"groupBox17";
			this->groupBox17->Size = System::Drawing::Size(204, 79);
			this->groupBox17->TabIndex = 38;
			this->groupBox17->TabStop = false;
			this->groupBox17->Text = S"旗標設定";
			// 
			// CLB_RecipeModeFlag
			// 
			this->CLB_RecipeModeFlag->CheckOnClick = true;
			this->CLB_RecipeModeFlag->Dock = System::Windows::Forms::DockStyle::Fill;
			System::Object* __mcTemp__14[] = new System::Object*[5];
			__mcTemp__14[0] = S"可賣NPC";
			__mcTemp__14[1] = S"離線消失";
			__mcTemp__14[2] = S"會消耗";
			__mcTemp__14[3] = S"撿取禁制";
			__mcTemp__14[4] = S"可變稀有度";
			this->CLB_RecipeModeFlag->Items->AddRange(__mcTemp__14);
			this->CLB_RecipeModeFlag->Location = System::Drawing::Point(3, 18);
			this->CLB_RecipeModeFlag->Name = S"CLB_RecipeModeFlag";
			this->CLB_RecipeModeFlag->Size = System::Drawing::Size(198, 55);
			this->CLB_RecipeModeFlag->TabIndex = 3;
			this->CLB_RecipeModeFlag->Tag = S"Mode";
			// 
			// CB_RecipeRequestSkill
			// 
			this->CB_RecipeRequestSkill->DropDownStyle = System::Windows::Forms::ComboBoxStyle::DropDownList;
			this->CB_RecipeRequestSkill->FormattingEnabled = true;
			System::Object* __mcTemp__15[] = new System::Object*[13];
			__mcTemp__15[0] = S"---";
			__mcTemp__15[1] = S"無";
			__mcTemp__15[2] = S"打鐵";
			__mcTemp__15[3] = S"木工";
			__mcTemp__15[4] = S"製甲";
			__mcTemp__15[5] = S"裁縫";
			__mcTemp__15[6] = S"烹飪";
			__mcTemp__15[7] = S"煉金";
			__mcTemp__15[8] = S"挖礦";
			__mcTemp__15[9] = S"伐木";
			__mcTemp__15[10] = S"採藥";
			__mcTemp__15[11] = S"釣魚";
			__mcTemp__15[12] = S"種植";
			this->CB_RecipeRequestSkill->Items->AddRange(__mcTemp__15);
			this->CB_RecipeRequestSkill->Location = System::Drawing::Point(68, 18);
			this->CB_RecipeRequestSkill->Name = S"CB_RecipeRequestSkill";
			this->CB_RecipeRequestSkill->Size = System::Drawing::Size(100, 20);
			this->CB_RecipeRequestSkill->TabIndex = 37;
			this->CB_RecipeRequestSkill->Tag = S"RequestSkill";
			// 
			// label9
			// 
			this->label9->AutoSize = true;
			this->label9->Location = System::Drawing::Point(9, 23);
			this->label9->Name = S"label9";
			this->label9->Size = System::Drawing::Size(53, 12);
			this->label9->TabIndex = 36;
			this->label9->Text = S"技能類型";
			// 
			// LV_SearchResult
			// 
			System::Windows::Forms::ColumnHeader* __mcTemp__16[] = new System::Windows::Forms::ColumnHeader*[2];
			__mcTemp__16[0] = this->columnHeader6;
			__mcTemp__16[1] = this->columnHeader7;
			this->LV_SearchResult->Columns->AddRange(__mcTemp__16);
			this->LV_SearchResult->FullRowSelect = true;
			this->LV_SearchResult->GridLines = true;
			this->LV_SearchResult->Location = System::Drawing::Point(624, 137);
			this->LV_SearchResult->Name = S"LV_SearchResult";
			this->LV_SearchResult->Size = System::Drawing::Size(217, 252);
			this->LV_SearchResult->TabIndex = 165;
			this->LV_SearchResult->UseCompatibleStateImageBehavior = false;
			this->LV_SearchResult->View = System::Windows::Forms::View::Details;
			// 
			// columnHeader6
			// 
			this->columnHeader6->Text = S"物件ID";
			// 
			// columnHeader7
			// 
			this->columnHeader7->Text = S"名稱";
			this->columnHeader7->Width = 128;
			// 
			// groupBox2
			// 
			this->groupBox2->Controls->Add(this->groupBox24);
			this->groupBox2->Controls->Add(this->textBox5);
			this->groupBox2->Controls->Add(this->textBox4);
			this->groupBox2->Controls->Add(this->textBox3);
			this->groupBox2->Controls->Add(this->textBox2);
			this->groupBox2->Controls->Add(this->label8);
			this->groupBox2->Controls->Add(this->textBox1);
			this->groupBox2->Controls->Add(this->label7);
			this->groupBox2->Location = System::Drawing::Point(360, 395);
			this->groupBox2->Name = S"groupBox2";
			this->groupBox2->Size = System::Drawing::Size(332, 291);
			this->groupBox2->TabIndex = 20;
			this->groupBox2->TabStop = false;
			this->groupBox2->Text = S"賭博物品資料";
			// 
			// groupBox24
			// 
			this->groupBox24->Controls->Add(this->DropAbilityEx6);
			this->groupBox24->Controls->Add(this->comboBox51);
			this->groupBox24->Controls->Add(this->DropAbilityName6);
			this->groupBox24->Controls->Add(this->textBox65);
			this->groupBox24->Controls->Add(this->DropAbilityEx5);
			this->groupBox24->Controls->Add(this->comboBox46);
			this->groupBox24->Controls->Add(this->DropAbilityName5);
			this->groupBox24->Controls->Add(this->textBox60);
			this->groupBox24->Controls->Add(this->DropAbilityEx4);
			this->groupBox24->Controls->Add(this->comboBox47);
			this->groupBox24->Controls->Add(this->DropAbilityName4);
			this->groupBox24->Controls->Add(this->textBox61);
			this->groupBox24->Controls->Add(this->DropAbilityEx3);
			this->groupBox24->Controls->Add(this->comboBox48);
			this->groupBox24->Controls->Add(this->DropAbilityName3);
			this->groupBox24->Controls->Add(this->textBox62);
			this->groupBox24->Controls->Add(this->DropAbilityEx2);
			this->groupBox24->Controls->Add(this->comboBox49);
			this->groupBox24->Controls->Add(this->DropAbilityName2);
			this->groupBox24->Controls->Add(this->textBox63);
			this->groupBox24->Controls->Add(this->DropAbilityEx1);
			this->groupBox24->Controls->Add(this->comboBox50);
			this->groupBox24->Controls->Add(this->label103);
			this->groupBox24->Controls->Add(this->DropAbilityName1);
			this->groupBox24->Controls->Add(this->label105);
			this->groupBox24->Controls->Add(this->label106);
			this->groupBox24->Controls->Add(this->textBox64);
			this->groupBox24->Location = System::Drawing::Point(6, 88);
			this->groupBox24->Name = S"groupBox24";
			this->groupBox24->Size = System::Drawing::Size(309, 191);
			this->groupBox24->TabIndex = 12;
			this->groupBox24->TabStop = false;
			this->groupBox24->Text = S"屬性掉落規則";
			// 
			// DropAbilityEx6
			// 
			this->DropAbilityEx6->Location = System::Drawing::Point(233, 167);
			this->DropAbilityEx6->Name = S"DropAbilityEx6";
			this->DropAbilityEx6->Size = System::Drawing::Size(64, 16);
			this->DropAbilityEx6->TabIndex = 50;
			this->DropAbilityEx6->Text = S"0.001%";
			// 
			// comboBox51
			// 
			System::Object* __mcTemp__17[] = new System::Object*[9];
			__mcTemp__17[0] = S"10000";
			__mcTemp__17[1] = S"5000";
			__mcTemp__17[2] = S"1000";
			__mcTemp__17[3] = S"500";
			__mcTemp__17[4] = S"100";
			__mcTemp__17[5] = S"50";
			__mcTemp__17[6] = S"10";
			__mcTemp__17[7] = S"5";
			__mcTemp__17[8] = S"1";
			this->comboBox51->Items->AddRange(__mcTemp__17);
			this->comboBox51->Location = System::Drawing::Point(145, 159);
			this->comboBox51->Name = S"comboBox51";
			this->comboBox51->Size = System::Drawing::Size(88, 20);
			this->comboBox51->TabIndex = 49;
			this->comboBox51->Tag = S"GambleDropAbilityRate6";
			this->comboBox51->Text = S"0";
			this->comboBox51->TextChanged += new System::EventHandler(this, &TreasureForm::GetIntValue_TextChanged);
			// 
			// DropAbilityName6
			// 
			this->DropAbilityName6->Location = System::Drawing::Point(73, 167);
			this->DropAbilityName6->Name = S"DropAbilityName6";
			this->DropAbilityName6->Size = System::Drawing::Size(72, 16);
			this->DropAbilityName6->TabIndex = 48;
			this->DropAbilityName6->Text = S"label57";
			// 
			// textBox65
			// 
			this->textBox65->Location = System::Drawing::Point(9, 159);
			this->textBox65->Name = S"textBox65";
			this->textBox65->Size = System::Drawing::Size(56, 22);
			this->textBox65->TabIndex = 47;
			this->textBox65->Tag = S"GambleDropAbility6";
			this->textBox65->Text = S"0";
			this->textBox65->TextChanged += new System::EventHandler(this, &TreasureForm::GetIntValue_TextChanged);
			// 
			// DropAbilityEx5
			// 
			this->DropAbilityEx5->Location = System::Drawing::Point(233, 144);
			this->DropAbilityEx5->Name = S"DropAbilityEx5";
			this->DropAbilityEx5->Size = System::Drawing::Size(64, 16);
			this->DropAbilityEx5->TabIndex = 46;
			this->DropAbilityEx5->Text = S"0.001%";
			// 
			// comboBox46
			// 
			System::Object* __mcTemp__18[] = new System::Object*[9];
			__mcTemp__18[0] = S"10000";
			__mcTemp__18[1] = S"5000";
			__mcTemp__18[2] = S"1000";
			__mcTemp__18[3] = S"500";
			__mcTemp__18[4] = S"100";
			__mcTemp__18[5] = S"50";
			__mcTemp__18[6] = S"10";
			__mcTemp__18[7] = S"5";
			__mcTemp__18[8] = S"1";
			this->comboBox46->Items->AddRange(__mcTemp__18);
			this->comboBox46->Location = System::Drawing::Point(145, 136);
			this->comboBox46->Name = S"comboBox46";
			this->comboBox46->Size = System::Drawing::Size(88, 20);
			this->comboBox46->TabIndex = 45;
			this->comboBox46->Tag = S"GambleDropAbilityRate5";
			this->comboBox46->Text = S"0";
			this->comboBox46->TextChanged += new System::EventHandler(this, &TreasureForm::GetIntValue_TextChanged);
			// 
			// DropAbilityName5
			// 
			this->DropAbilityName5->Location = System::Drawing::Point(73, 144);
			this->DropAbilityName5->Name = S"DropAbilityName5";
			this->DropAbilityName5->Size = System::Drawing::Size(72, 16);
			this->DropAbilityName5->TabIndex = 44;
			this->DropAbilityName5->Text = S"label57";
			// 
			// textBox60
			// 
			this->textBox60->Location = System::Drawing::Point(9, 136);
			this->textBox60->Name = S"textBox60";
			this->textBox60->Size = System::Drawing::Size(56, 22);
			this->textBox60->TabIndex = 43;
			this->textBox60->Tag = S"GambleDropAbility5";
			this->textBox60->Text = S"0";
			this->textBox60->TextChanged += new System::EventHandler(this, &TreasureForm::GetIntValue_TextChanged);
			// 
			// DropAbilityEx4
			// 
			this->DropAbilityEx4->Location = System::Drawing::Point(233, 120);
			this->DropAbilityEx4->Name = S"DropAbilityEx4";
			this->DropAbilityEx4->Size = System::Drawing::Size(64, 16);
			this->DropAbilityEx4->TabIndex = 42;
			this->DropAbilityEx4->Text = S"0.001%";
			// 
			// comboBox47
			// 
			System::Object* __mcTemp__19[] = new System::Object*[9];
			__mcTemp__19[0] = S"10000";
			__mcTemp__19[1] = S"5000";
			__mcTemp__19[2] = S"1000";
			__mcTemp__19[3] = S"500";
			__mcTemp__19[4] = S"100";
			__mcTemp__19[5] = S"50";
			__mcTemp__19[6] = S"10";
			__mcTemp__19[7] = S"5";
			__mcTemp__19[8] = S"1";
			this->comboBox47->Items->AddRange(__mcTemp__19);
			this->comboBox47->Location = System::Drawing::Point(145, 112);
			this->comboBox47->Name = S"comboBox47";
			this->comboBox47->Size = System::Drawing::Size(88, 20);
			this->comboBox47->TabIndex = 41;
			this->comboBox47->Tag = S"GambleDropAbilityRate4";
			this->comboBox47->Text = S"0";
			this->comboBox47->TextChanged += new System::EventHandler(this, &TreasureForm::GetIntValue_TextChanged);
			// 
			// DropAbilityName4
			// 
			this->DropAbilityName4->Location = System::Drawing::Point(73, 120);
			this->DropAbilityName4->Name = S"DropAbilityName4";
			this->DropAbilityName4->Size = System::Drawing::Size(72, 16);
			this->DropAbilityName4->TabIndex = 40;
			this->DropAbilityName4->Text = S"label57";
			// 
			// textBox61
			// 
			this->textBox61->Location = System::Drawing::Point(9, 112);
			this->textBox61->Name = S"textBox61";
			this->textBox61->Size = System::Drawing::Size(56, 22);
			this->textBox61->TabIndex = 39;
			this->textBox61->Tag = S"GambleDropAbility4";
			this->textBox61->Text = S"0";
			this->textBox61->TextChanged += new System::EventHandler(this, &TreasureForm::GetIntValue_TextChanged);
			// 
			// DropAbilityEx3
			// 
			this->DropAbilityEx3->Location = System::Drawing::Point(233, 96);
			this->DropAbilityEx3->Name = S"DropAbilityEx3";
			this->DropAbilityEx3->Size = System::Drawing::Size(64, 16);
			this->DropAbilityEx3->TabIndex = 38;
			this->DropAbilityEx3->Text = S"0.001%";
			// 
			// comboBox48
			// 
			System::Object* __mcTemp__20[] = new System::Object*[9];
			__mcTemp__20[0] = S"10000";
			__mcTemp__20[1] = S"5000";
			__mcTemp__20[2] = S"1000";
			__mcTemp__20[3] = S"500";
			__mcTemp__20[4] = S"100";
			__mcTemp__20[5] = S"50";
			__mcTemp__20[6] = S"10";
			__mcTemp__20[7] = S"5";
			__mcTemp__20[8] = S"1";
			this->comboBox48->Items->AddRange(__mcTemp__20);
			this->comboBox48->Location = System::Drawing::Point(145, 88);
			this->comboBox48->Name = S"comboBox48";
			this->comboBox48->Size = System::Drawing::Size(88, 20);
			this->comboBox48->TabIndex = 37;
			this->comboBox48->Tag = S"GambleDropAbilityRate3";
			this->comboBox48->Text = S"0";
			this->comboBox48->TextChanged += new System::EventHandler(this, &TreasureForm::GetIntValue_TextChanged);
			// 
			// DropAbilityName3
			// 
			this->DropAbilityName3->Location = System::Drawing::Point(73, 96);
			this->DropAbilityName3->Name = S"DropAbilityName3";
			this->DropAbilityName3->Size = System::Drawing::Size(72, 16);
			this->DropAbilityName3->TabIndex = 36;
			this->DropAbilityName3->Text = S"label57";
			// 
			// textBox62
			// 
			this->textBox62->Location = System::Drawing::Point(9, 88);
			this->textBox62->Name = S"textBox62";
			this->textBox62->Size = System::Drawing::Size(56, 22);
			this->textBox62->TabIndex = 35;
			this->textBox62->Tag = S"GambleDropAbility3";
			this->textBox62->Text = S"0";
			this->textBox62->TextChanged += new System::EventHandler(this, &TreasureForm::GetIntValue_TextChanged);
			// 
			// DropAbilityEx2
			// 
			this->DropAbilityEx2->Location = System::Drawing::Point(233, 72);
			this->DropAbilityEx2->Name = S"DropAbilityEx2";
			this->DropAbilityEx2->Size = System::Drawing::Size(64, 16);
			this->DropAbilityEx2->TabIndex = 34;
			this->DropAbilityEx2->Text = S"0.001%";
			// 
			// comboBox49
			// 
			System::Object* __mcTemp__21[] = new System::Object*[9];
			__mcTemp__21[0] = S"10000";
			__mcTemp__21[1] = S"5000";
			__mcTemp__21[2] = S"1000";
			__mcTemp__21[3] = S"500";
			__mcTemp__21[4] = S"100";
			__mcTemp__21[5] = S"50";
			__mcTemp__21[6] = S"10";
			__mcTemp__21[7] = S"5";
			__mcTemp__21[8] = S"1";
			this->comboBox49->Items->AddRange(__mcTemp__21);
			this->comboBox49->Location = System::Drawing::Point(145, 63);
			this->comboBox49->Name = S"comboBox49";
			this->comboBox49->Size = System::Drawing::Size(88, 20);
			this->comboBox49->TabIndex = 33;
			this->comboBox49->Tag = S"GambleDropAbilityRate2";
			this->comboBox49->Text = S"0";
			this->comboBox49->TextChanged += new System::EventHandler(this, &TreasureForm::GetIntValue_TextChanged);
			// 
			// DropAbilityName2
			// 
			this->DropAbilityName2->Location = System::Drawing::Point(73, 72);
			this->DropAbilityName2->Name = S"DropAbilityName2";
			this->DropAbilityName2->Size = System::Drawing::Size(72, 16);
			this->DropAbilityName2->TabIndex = 32;
			this->DropAbilityName2->Text = S"label57";
			// 
			// textBox63
			// 
			this->textBox63->Location = System::Drawing::Point(9, 63);
			this->textBox63->Name = S"textBox63";
			this->textBox63->Size = System::Drawing::Size(56, 22);
			this->textBox63->TabIndex = 31;
			this->textBox63->Tag = S"GambleDropAbility2";
			this->textBox63->Text = S"0";
			this->textBox63->TextChanged += new System::EventHandler(this, &TreasureForm::GetIntValue_TextChanged);
			// 
			// DropAbilityEx1
			// 
			this->DropAbilityEx1->Location = System::Drawing::Point(233, 48);
			this->DropAbilityEx1->Name = S"DropAbilityEx1";
			this->DropAbilityEx1->Size = System::Drawing::Size(64, 15);
			this->DropAbilityEx1->TabIndex = 30;
			this->DropAbilityEx1->Text = S"0.001%";
			// 
			// comboBox50
			// 
			System::Object* __mcTemp__22[] = new System::Object*[9];
			__mcTemp__22[0] = S"10000";
			__mcTemp__22[1] = S"5000";
			__mcTemp__22[2] = S"1000";
			__mcTemp__22[3] = S"500";
			__mcTemp__22[4] = S"100";
			__mcTemp__22[5] = S"50";
			__mcTemp__22[6] = S"10";
			__mcTemp__22[7] = S"5";
			__mcTemp__22[8] = S"1";
			this->comboBox50->Items->AddRange(__mcTemp__22);
			this->comboBox50->Location = System::Drawing::Point(145, 40);
			this->comboBox50->Name = S"comboBox50";
			this->comboBox50->Size = System::Drawing::Size(88, 20);
			this->comboBox50->TabIndex = 29;
			this->comboBox50->Tag = S"GambleDropAbilityRate1";
			this->comboBox50->Text = S"0";
			this->comboBox50->TextChanged += new System::EventHandler(this, &TreasureForm::GetIntValue_TextChanged);
			// 
			// label103
			// 
			this->label103->Location = System::Drawing::Point(145, 24);
			this->label103->Name = S"label103";
			this->label103->Size = System::Drawing::Size(88, 16);
			this->label103->TabIndex = 28;
			this->label103->Text = S"掉落率( 1/10萬)";
			// 
			// DropAbilityName1
			// 
			this->DropAbilityName1->Location = System::Drawing::Point(73, 48);
			this->DropAbilityName1->Name = S"DropAbilityName1";
			this->DropAbilityName1->Size = System::Drawing::Size(72, 15);
			this->DropAbilityName1->TabIndex = 27;
			this->DropAbilityName1->Text = S"label57";
			// 
			// label105
			// 
			this->label105->Location = System::Drawing::Point(73, 24);
			this->label105->Name = S"label105";
			this->label105->Size = System::Drawing::Size(56, 16);
			this->label105->TabIndex = 26;
			this->label105->Text = S"物件名稱";
			// 
			// label106
			// 
			this->label106->Location = System::Drawing::Point(9, 24);
			this->label106->Name = S"label106";
			this->label106->Size = System::Drawing::Size(64, 16);
			this->label106->TabIndex = 25;
			this->label106->Text = S"物件號碼";
			// 
			// textBox64
			// 
			this->textBox64->Location = System::Drawing::Point(9, 40);
			this->textBox64->Name = S"textBox64";
			this->textBox64->Size = System::Drawing::Size(56, 22);
			this->textBox64->TabIndex = 24;
			this->textBox64->Tag = S"GambleDropAbility1";
			this->textBox64->Text = S"0";
			this->textBox64->TextChanged += new System::EventHandler(this, &TreasureForm::GetIntValue_TextChanged);
			// 
			// textBox5
			// 
			this->textBox5->Location = System::Drawing::Point(63, 60);
			this->textBox5->Name = S"textBox5";
			this->textBox5->Size = System::Drawing::Size(49, 22);
			this->textBox5->TabIndex = 8;
			this->textBox5->Tag = S"GambleHole2Rate";
			this->textBox5->TextChanged += new System::EventHandler(this, &TreasureForm::GetIntValue_TextChanged);
			// 
			// textBox4
			// 
			this->textBox4->Location = System::Drawing::Point(118, 60);
			this->textBox4->Name = S"textBox4";
			this->textBox4->Size = System::Drawing::Size(49, 22);
			this->textBox4->TabIndex = 7;
			this->textBox4->Tag = S"GambleHole3Rate";
			this->textBox4->TextChanged += new System::EventHandler(this, &TreasureForm::GetIntValue_TextChanged);
			// 
			// textBox3
			// 
			this->textBox3->Location = System::Drawing::Point(173, 60);
			this->textBox3->Name = S"textBox3";
			this->textBox3->Size = System::Drawing::Size(49, 22);
			this->textBox3->TabIndex = 6;
			this->textBox3->Tag = S"GambleHole4Rate";
			this->textBox3->TextChanged += new System::EventHandler(this, &TreasureForm::GetIntValue_TextChanged);
			// 
			// textBox2
			// 
			this->textBox2->Location = System::Drawing::Point(8, 60);
			this->textBox2->Name = S"textBox2";
			this->textBox2->Size = System::Drawing::Size(49, 22);
			this->textBox2->TabIndex = 5;
			this->textBox2->Tag = S"GambleHole1Rate";
			this->textBox2->TextChanged += new System::EventHandler(this, &TreasureForm::GetIntValue_TextChanged);
			// 
			// label8
			// 
			this->label8->AutoSize = true;
			this->label8->Location = System::Drawing::Point(6, 45);
			this->label8->Name = S"label8";
			this->label8->Size = System::Drawing::Size(133, 12);
			this->label8->TabIndex = 4;
			this->label8->Text = S"洞(多少個會有一個下階)";
			// 
			// textBox1
			// 
			this->textBox1->Location = System::Drawing::Point(63, 21);
			this->textBox1->Name = S"textBox1";
			this->textBox1->Size = System::Drawing::Size(71, 22);
			this->textBox1->TabIndex = 3;
			this->textBox1->Tag = S"GambleCost";
			this->textBox1->TextChanged += new System::EventHandler(this, &TreasureForm::GetIntValue_TextChanged);
			// 
			// label7
			// 
			this->label7->AutoSize = true;
			this->label7->Location = System::Drawing::Point(14, 24);
			this->label7->Name = S"label7";
			this->label7->Size = System::Drawing::Size(29, 12);
			this->label7->TabIndex = 2;
			this->label7->Text = S"價錢";
			// 
			// button7
			// 
			this->button7->Location = System::Drawing::Point(332, 282);
			this->button7->Name = S"button7";
			this->button7->Size = System::Drawing::Size(13, 113);
			this->button7->TabIndex = 19;
			this->button7->Text = S"v";
			this->button7->UseVisualStyleBackColor = true;
			this->button7->Click += new System::EventHandler(this, &TreasureForm::Down_Click);
			// 
			// button6
			// 
			this->button6->Location = System::Drawing::Point(332, 146);
			this->button6->Name = S"button6";
			this->button6->Size = System::Drawing::Size(13, 113);
			this->button6->TabIndex = 18;
			this->button6->Text = S"^";
			this->button6->UseVisualStyleBackColor = true;
			this->button6->Click += new System::EventHandler(this, &TreasureForm::Up_Click);
			// 
			// label6
			// 
			this->label6->AutoSize = true;
			this->label6->Location = System::Drawing::Point(341, 103);
			this->label6->Name = S"label6";
			this->label6->Size = System::Drawing::Size(53, 12);
			this->label6->TabIndex = 17;
			this->label6->Tag = S"";
			this->label6->Text = S"機率調整";
			// 
			// button5
			// 
			this->button5->Location = System::Drawing::Point(438, 98);
			this->button5->Name = S"button5";
			this->button5->Size = System::Drawing::Size(33, 23);
			this->button5->TabIndex = 16;
			this->button5->Text = S"+";
			this->button5->UseVisualStyleBackColor = true;
			this->button5->Click += new System::EventHandler(this, &TreasureForm::AddRateButton_Click);
			// 
			// button4
			// 
			this->button4->Location = System::Drawing::Point(400, 98);
			this->button4->Name = S"button4";
			this->button4->Size = System::Drawing::Size(32, 23);
			this->button4->TabIndex = 15;
			this->button4->Text = S"-";
			this->button4->UseVisualStyleBackColor = true;
			this->button4->Click += new System::EventHandler(this, &TreasureForm::DelRateButton_Click);
			// 
			// LV_TreasureList
			// 
			System::Windows::Forms::ColumnHeader* __mcTemp__23[] = new System::Windows::Forms::ColumnHeader*[6];
			__mcTemp__23[0] = this->columnHeader1;
			__mcTemp__23[1] = this->columnHeader2;
			__mcTemp__23[2] = this->columnHeader3;
			__mcTemp__23[3] = this->columnHeader4;
			__mcTemp__23[4] = this->columnHeader5;
			__mcTemp__23[5] = this->columnHeader8;
			this->LV_TreasureList->Columns->AddRange(__mcTemp__23);
			this->LV_TreasureList->Dock = System::Windows::Forms::DockStyle::Left;
			this->LV_TreasureList->FullRowSelect = true;
			this->LV_TreasureList->GridLines = true;
			this->LV_TreasureList->HideSelection = false;
			this->LV_TreasureList->LabelWrap = false;
			this->LV_TreasureList->Location = System::Drawing::Point(0, 94);
			this->LV_TreasureList->MultiSelect = false;
			this->LV_TreasureList->Name = S"LV_TreasureList";
			this->LV_TreasureList->Size = System::Drawing::Size(326, 688);
			this->LV_TreasureList->TabIndex = 14;
			this->LV_TreasureList->UseCompatibleStateImageBehavior = false;
			this->LV_TreasureList->View = System::Windows::Forms::View::Details;
			this->LV_TreasureList->SelectedIndexChanged += new System::EventHandler(this, &TreasureForm::LV_TreasureList_SelectedIndexChanged);
			// 
			// columnHeader1
			// 
			this->columnHeader1->DisplayIndex = 1;
			this->columnHeader1->Text = S"物件ID";
			// 
			// columnHeader2
			// 
			this->columnHeader2->DisplayIndex = 2;
			this->columnHeader2->Text = S"名稱";
			// 
			// columnHeader3
			// 
			this->columnHeader3->DisplayIndex = 3;
			this->columnHeader3->Text = S"機率(%)";
			this->columnHeader3->Width = 65;
			// 
			// columnHeader4
			// 
			this->columnHeader4->DisplayIndex = 4;
			this->columnHeader4->Text = S"數量";
			// 
			// columnHeader5
			// 
			this->columnHeader5->DisplayIndex = 5;
			this->columnHeader5->Text = S"掉落量";
			this->columnHeader5->Width = 50;
			// 
			// columnHeader8
			// 
			this->columnHeader8->DisplayIndex = 0;
			this->columnHeader8->Text = S"ID";
			this->columnHeader8->Width = 27;
			// 
			// panel2
			// 
			this->panel2->Controls->Add(this->textBox6);
			this->panel2->Controls->Add(this->label19);
			this->panel2->Controls->Add(this->label5);
			this->panel2->Controls->Add(this->numericUpDown1);
			this->panel2->Controls->Add(this->TB_TotalCost);
			this->panel2->Controls->Add(this->label4);
			this->panel2->Controls->Add(this->groupBox1);
			this->panel2->Controls->Add(this->button3);
			this->panel2->Controls->Add(this->button1);
			this->panel2->Controls->Add(this->button2);
			this->panel2->Controls->Add(this->button8);
			this->panel2->Dock = System::Windows::Forms::DockStyle::Top;
			this->panel2->Location = System::Drawing::Point(0, 0);
			this->panel2->Name = S"panel2";
			this->panel2->Size = System::Drawing::Size(865, 94);
			this->panel2->TabIndex = 13;
			// 
			// label5
			// 
			this->label5->AutoSize = true;
			this->label5->Location = System::Drawing::Point(345, 66);
			this->label5->Name = S"label5";
			this->label5->Size = System::Drawing::Size(65, 12);
			this->label5->TabIndex = 16;
			this->label5->Tag = S"";
			this->label5->Text = S"成立等級差";
			// 
			// numericUpDown1
			// 
			this->numericUpDown1->Location = System::Drawing::Point(416, 60);
			System::Int32 __mcTemp__24[] = new System::Int32[4];
			__mcTemp__24[0] = 100;
			__mcTemp__24[1] = 0;
			__mcTemp__24[2] = 0;
			__mcTemp__24[3] = System::Int32::MinValue;
			this->numericUpDown1->Minimum = System::Decimal(__mcTemp__24);
			this->numericUpDown1->Name = S"numericUpDown1";
			this->numericUpDown1->Size = System::Drawing::Size(66, 22);
			this->numericUpDown1->TabIndex = 15;
			this->numericUpDown1->Tag = S"NeedDLv";
			this->numericUpDown1->ValueChanged += new System::EventHandler(this, &TreasureForm::GetValue_ValueChanged);
			// 
			// TB_TotalCost
			// 
			this->TB_TotalCost->Location = System::Drawing::Point(581, 60);
			this->TB_TotalCost->Name = S"TB_TotalCost";
			this->TB_TotalCost->ReadOnly = true;
			this->TB_TotalCost->Size = System::Drawing::Size(80, 22);
			this->TB_TotalCost->TabIndex = 14;
			this->TB_TotalCost->Tag = S"";
			// 
			// label4
			// 
			this->label4->AutoSize = true;
			this->label4->Location = System::Drawing::Point(510, 65);
			this->label4->Name = S"label4";
			this->label4->Size = System::Drawing::Size(65, 12);
			this->label4->TabIndex = 13;
			this->label4->Text = S"倒店總價值";
			// 
			// groupBox1
			// 
			this->groupBox1->Controls->Add(this->NUD_DropCount);
			this->groupBox1->Controls->Add(this->label2);
			this->groupBox1->Controls->Add(this->NUD_DropRate);
			this->groupBox1->Controls->Add(this->label3);
			this->groupBox1->Controls->Add(this->LB_EditObjName);
			this->groupBox1->Controls->Add(this->TB_ObjID);
			this->groupBox1->Controls->Add(this->label1);
			this->groupBox1->Location = System::Drawing::Point(12, 12);
			this->groupBox1->Name = S"groupBox1";
			this->groupBox1->Size = System::Drawing::Size(580, 43);
			this->groupBox1->TabIndex = 9;
			this->groupBox1->TabStop = false;
			this->groupBox1->Text = S"資料編輯";
			// 
			// NUD_DropCount
			// 
			this->NUD_DropCount->Location = System::Drawing::Point(519, 15);
			System::Int32 __mcTemp__25[] = new System::Int32[4];
			__mcTemp__25[0] = 100000;
			__mcTemp__25[1] = 0;
			__mcTemp__25[2] = 0;
			__mcTemp__25[3] = 0;
			this->NUD_DropCount->Maximum = System::Decimal(__mcTemp__25);
			System::Int32 __mcTemp__26[] = new System::Int32[4];
			__mcTemp__26[0] = 1;
			__mcTemp__26[1] = 0;
			__mcTemp__26[2] = 0;
			__mcTemp__26[3] = 0;
			this->NUD_DropCount->Minimum = System::Decimal(__mcTemp__26);
			this->NUD_DropCount->Name = S"NUD_DropCount";
			this->NUD_DropCount->Size = System::Drawing::Size(36, 22);
			this->NUD_DropCount->TabIndex = 6;
			System::Int32 __mcTemp__27[] = new System::Int32[4];
			__mcTemp__27[0] = 1;
			__mcTemp__27[1] = 0;
			__mcTemp__27[2] = 0;
			__mcTemp__27[3] = 0;
			this->NUD_DropCount->Value = System::Decimal(__mcTemp__27);
			// 
			// label2
			// 
			this->label2->AutoSize = true;
			this->label2->Location = System::Drawing::Point(448, 18);
			this->label2->Name = S"label2";
			this->label2->Size = System::Drawing::Size(65, 12);
			this->label2->TabIndex = 5;
			this->label2->Text = S"每次掉落量";
			// 
			// NUD_DropRate
			// 
			this->NUD_DropRate->Location = System::Drawing::Point(335, 15);
			System::Int32 __mcTemp__28[] = new System::Int32[4];
			__mcTemp__28[0] = 100000;
			__mcTemp__28[1] = 0;
			__mcTemp__28[2] = 0;
			__mcTemp__28[3] = 0;
			this->NUD_DropRate->Maximum = System::Decimal(__mcTemp__28);
			this->NUD_DropRate->Name = S"NUD_DropRate";
			this->NUD_DropRate->Size = System::Drawing::Size(90, 22);
			this->NUD_DropRate->TabIndex = 4;
			// 
			// label3
			// 
			this->label3->AutoSize = true;
			this->label3->Location = System::Drawing::Point(221, 18);
			this->label3->Name = S"label3";
			this->label3->Size = System::Drawing::Size(112, 12);
			this->label3->TabIndex = 3;
			this->label3->Text = S"掉落率( 十萬分之一)";
			// 
			// LB_EditObjName
			// 
			this->LB_EditObjName->AutoSize = true;
			this->LB_EditObjName->Location = System::Drawing::Point(119, 18);
			this->LB_EditObjName->Name = S"LB_EditObjName";
			this->LB_EditObjName->Size = System::Drawing::Size(29, 12);
			this->LB_EditObjName->TabIndex = 2;
			this->LB_EditObjName->Text = S"名稱";
			// 
			// TB_ObjID
			// 
			this->TB_ObjID->Location = System::Drawing::Point(53, 15);
			this->TB_ObjID->Name = S"TB_ObjID";
			this->TB_ObjID->Size = System::Drawing::Size(60, 22);
			this->TB_ObjID->TabIndex = 1;
			this->TB_ObjID->DoubleClick += new System::EventHandler(this, &TreasureForm::SearchItemClick);
			// 
			// label1
			// 
			this->label1->AutoSize = true;
			this->label1->Location = System::Drawing::Point(6, 18);
			this->label1->Name = S"label1";
			this->label1->Size = System::Drawing::Size(41, 12);
			this->label1->TabIndex = 0;
			this->label1->Text = S"物件ID";
			// 
			// button3
			// 
			this->button3->Location = System::Drawing::Point(264, 61);
			this->button3->Name = S"button3";
			this->button3->Size = System::Drawing::Size(47, 23);
			this->button3->TabIndex = 12;
			this->button3->Text = S"刪除";
			this->button3->UseVisualStyleBackColor = true;
			this->button3->Click += new System::EventHandler(this, &TreasureForm::DelTreasureItem_Click);
			// 
			// button1
			// 
			this->button1->Location = System::Drawing::Point(20, 61);
			this->button1->Name = S"button1";
			this->button1->Size = System::Drawing::Size(52, 23);
			this->button1->TabIndex = 10;
			this->button1->Text = S"修改";
			this->button1->UseVisualStyleBackColor = true;
			this->button1->Click += new System::EventHandler(this, &TreasureForm::ModifyTreasureItem_Click);
			// 
			// button2
			// 
			this->button2->Location = System::Drawing::Point(211, 61);
			this->button2->Name = S"button2";
			this->button2->Size = System::Drawing::Size(47, 23);
			this->button2->TabIndex = 11;
			this->button2->Text = S"新增";
			this->button2->UseVisualStyleBackColor = true;
			this->button2->Click += new System::EventHandler(this, &TreasureForm::NewTreasureItem_Click);
			// 
			// button8
			// 
			this->button8->Location = System::Drawing::Point(78, 61);
			this->button8->Name = S"button8";
			this->button8->Size = System::Drawing::Size(80, 23);
			this->button8->TabIndex = 22;
			this->button8->Text = S"刪除所有";
			this->button8->UseVisualStyleBackColor = true;
			this->button8->Click += new System::EventHandler(this, &TreasureForm::DelAllTreasureItem_Click);
			// 
			// textBox6
			// 
			this->textBox6->Location = System::Drawing::Point(691, 26);
			this->textBox6->Name = S"textBox6";
			this->textBox6->Size = System::Drawing::Size(150, 22);
			this->textBox6->TabIndex = 24;
			this->textBox6->Tag = S"LuaCheckScript";
			this->textBox6->TextChanged += new System::EventHandler(this, &TreasureForm::GetStr_TextChanged);
			// 
			// label19
			// 
			this->label19->AutoSize = true;
			this->label19->Location = System::Drawing::Point(622, 30);
			this->label19->Name = S"label19";
			this->label19->Size = System::Drawing::Size(53, 12);
			this->label19->TabIndex = 23;
			this->label19->Text = S"使用檢查";
			// 
			// TreasureForm
			// 
			this->AutoScaleBaseSize = System::Drawing::Size(5, 15);
			this->ClientSize = System::Drawing::Size(865, 782);
			this->Controls->Add(this->panel1);
			this->Name = S"TreasureForm";
			this->Text = S"TreasureForm";
			this->panel1->ResumeLayout(false);
			this->panel1->PerformLayout();
			this->groupBox3->ResumeLayout(false);
			this->groupBox3->PerformLayout();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->NUD_LVTop))->EndInit();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->NUD_LvBase))->EndInit();
			this->TCt1_SearchObj->ResumeLayout(false);
			this->tabPage1->ResumeLayout(false);
			this->tabPage1->PerformLayout();
			this->tabPage2->ResumeLayout(false);
			this->tabPage2->PerformLayout();
			this->tabPage4->ResumeLayout(false);
			this->tabPage4->PerformLayout();
			this->tabPage5->ResumeLayout(false);
			this->tabPage5->PerformLayout();
			this->tabPage7->ResumeLayout(false);
			this->tabPage7->PerformLayout();
			this->groupBox17->ResumeLayout(false);
			this->groupBox2->ResumeLayout(false);
			this->groupBox2->PerformLayout();
			this->groupBox24->ResumeLayout(false);
			this->groupBox24->PerformLayout();
			this->panel2->ResumeLayout(false);
			this->panel2->PerformLayout();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown1))->EndInit();
			this->groupBox1->ResumeLayout(false);
			this->groupBox1->PerformLayout();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->NUD_DropCount))->EndInit();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->NUD_DropRate))->EndInit();
			this->ResumeLayout(false);

		}		


#ifndef _Just_Show_DotNet_Form_
    private:
        System::Void GetStr_TextChanged(System::Object *  sender, System::EventArgs *  e);
        System::Void GetValue_ValueChanged(System::Object *  sender, System::EventArgs *  e);
        System::Void ChangeFlag(System::Object *  sender, System::EventArgs *  e);

		System::Void GetIntValue_TextChanged(System::Object *  sender, System::EventArgs *  e);
        System::Void BaseForm_Closing(System::Object *  sender, System::ComponentModel::CancelEventArgs *  e);
        System::Void SearchObj_DClick(System::Object *  sender, System::EventArgs *  e);

		System::Void SearchMagicClick(System::Object *  sender, System::EventArgs *  e);
		System::Void SearchItemClick(System::Object *  sender, System::EventArgs *  e);
		System::Void SearchWeaponClick(System::Object *  sender, System::EventArgs *  e);
		System::Void SearchArmorClick(System::Object *  sender, System::EventArgs *  e);
		System::Void SearchImageClick(System::Object *  sender, System::EventArgs *  e);
#endif
    protected:
        //######################################################################################################
        //主要需要繼承的涵式
        virtual ReaderClass< DB_GameObjDbStruct >* ObjReader( );        
        virtual void    OnActive();
        virtual void    OnSelectObj( bool LockOk );
        virtual void    OnOutputObjSetting( DB_GameObjDbStruct* TempObj );
        virtual void    OnTimeProc();
        virtual int     ObjSize();
		virtual void    OnValueChange();
        //######################################################################################################
	private: 
		System::Void NewTreasureItem_Click(System::Object*  sender, System::EventArgs*  e);
		System::Void DelTreasureItem_Click(System::Object*  sender, System::EventArgs*  e);
		System::Void DelAllTreasureItem_Click(System::Object*  sender, System::EventArgs*  e);
		
		System::Void ModifyTreasureItem_Click(System::Object*  sender, System::EventArgs*  e);
		System::Void LV_TreasureList_SelectedIndexChanged(System::Object*  sender, System::EventArgs*  e);

		void	FixTreasureItemListInfo();
		System::Void DelRateButton_Click(System::Object*  sender, System::EventArgs*  e);
		System::Void AddRateButton_Click(System::Object*  sender, System::EventArgs*  e);
		System::Void Up_Click(System::Object*  sender, System::EventArgs*  e);
		System::Void Down_Click(System::Object*  sender, System::EventArgs*  e);

		System::Void SearchObj_Click(System::Object*  sender, System::EventArgs*  e);
		System::Void AddSelect_Click(System::Object*  sender, System::EventArgs*  e);
		System::Void AverageClick(System::Object*  sender, System::EventArgs*  e);
		System::Void AddSelectAll_Click(System::Object*  sender, System::EventArgs*  e);
};
}